Bug 19701 - popt floating point broken
popt floating point broken
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: popt (Show other bugs)
6.2
All Linux
high Severity high
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-24 13:54 EDT by Neal D. Becker
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-24 13:54:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal D. Becker 2000-10-24 13:54:53 EDT
popt-1.6 has severely broken floating point handling.  It doesn't even pass
it's own self test!
Why was it released like that?

Here's the patch:

Index: popt.c
===================================================================
RCS file: /cvs/devel/popt/popt.c,v
retrieving revision 1.66
diff -c -r1.66 popt.c
*** popt.c	2000/09/11 17:09:32	1.66
--- popt.c	2000/10/24 17:50:58
***************
*** 716,722 ****
  
  		case POPT_ARG_FLOAT:
  		case POPT_ARG_DOUBLE:
! 		{   long aDouble;
  		    char *end;
  
  		    aDouble = strtod(con->os->nextArg, &end);
--- 716,722 ----
  
  		case POPT_ARG_FLOAT:
  		case POPT_ARG_DOUBLE:
! 		{   double aDouble;
  		    char *end;
  
  		    aDouble = strtod(con->os->nextArg, &end);
Comment 1 Jeff Johnson 2000-12-30 14:09:57 EST
Patch added in rpm CVS, should be in popt-1.6.[12] when released.

Note You need to log in before you can comment on or make changes to this bug.